Package org.jfree.report.modules.gui.swing.preview.actions

# Class ExportAction

java.lang.Object
javax.swing.AbstractAction
org.jfree.report.modules.gui.swing.preview.actions.ExportAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

public class ExportAction extends AbstractAction
Creation-Date: 16.11.2006, 17:52:48

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

## Constructor Summary

Constructors
Constructor
Description
`ExportAction(ExportActionPlugin actionPlugin, PreviewPane previewPane)`
Defines an `Action` object with a default description string and default icon.

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
Invoked when an action occurs.

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.swing.Action

`accept`

## Constructor Details

### ExportAction

public ExportAction(ExportActionPlugin actionPlugin, PreviewPane previewPane)
Defines an `Action` object with a default description string and default icon.

## Method Details

### actionPerformed

public void actionPerformed(ActionEvent e)
Invoked when an action occurs.